<?php

if ( ! function_exists( 'yuma_companion_topbar_elements_options' ) ) :
    /**
     * List of topbar elements options
     * @return array 
     */
    function yuma_companion_topbar_elements_options() {
        $yuma_topbar_elements = array(
            'date'              => esc_html__( 'Date', 'yuma-companion' ),
            'address'           => esc_html__( 'Address', 'yuma-companion' ),
            'time'              => esc_html__( 'Time', 'yuma-companion' ),
            'phone'             => esc_html__( 'Phone', 'yuma-companion' ),
            'email'             => esc_html__( 'Email', 'yuma-companion' ),
            'cart'              => esc_html__( 'WooCommerce Cart', 'yuma-companion' ),
            'off_canvas_bar'    => esc_html__( 'Off Canvas Bar', 'yuma-companion' ),
            'topbar_menu'       => esc_html__( 'Topbar Menu', 'yuma-companion' ),
            'social_menu'       => esc_html__( 'Social Menu', 'yuma-companion' ),
            'search'            => esc_html__( 'Search', 'yuma-companion' ),
            'button_pro_option'         => esc_html__( 'Button 🅟🅡🅞', 'yuma-companion' ),
            'news_slider_pro_option'    => esc_html__( 'News Slider 🅟🅡🅞', 'yuma-companion' ),
            'custom_text_pro_option'    => esc_html__( 'Custom Text 🅟🅡🅞', 'yuma-companion' ),
            'user_icon_pro_option'      => esc_html__( 'User Account Icon 🅟🅡🅞', 'yuma-companion' ),
            'wishlist_icon_pro_option'  => esc_html__( 'Wishlist Icon 🅟🅡🅞', 'yuma-companion' ),
            'compare_icon_pro_option'   => esc_html__( 'Compare Icon 🅟🅡🅞', 'yuma-companion' ),
            'login_icon_pro_option'     => esc_html__( 'Login Icon 🅟🅡🅞', 'yuma-companion' ),
        );
        return $yuma_topbar_elements;
    }
endif;
add_filter( 'yuma_topbar_elements_options', 'yuma_companion_topbar_elements_options' );

if ( ! function_exists( 'yuma_companion_header_elements_options' ) ) :
    /**
     * List of header elements options
     * @return array 
     */
    function yuma_companion_header_elements_options() {
        $yuma_header_elements = array(
            'site_details'      => esc_html__( 'Site Details', 'yuma-companion' ),
            'address'           => esc_html__( 'Address', 'yuma-companion' ),
            'time'              => esc_html__( 'Time', 'yuma-companion' ),
            'phone'             => esc_html__( 'Phone', 'yuma-companion' ),
            'email'             => esc_html__( 'Email', 'yuma-companion' ),
            'cart'              => esc_html__( 'WooCommerce Cart', 'yuma-companion' ),
            'product_search'    => esc_html__( 'WooCommerce Product Search', 'yuma-companion' ),
            'off_canvas_bar'    => esc_html__( 'Off Canvas Bar', 'yuma-companion' ),
            'primary_menu'      => esc_html__( 'Primary Menu', 'yuma-companion' ),
            'social_menu'       => esc_html__( 'Social Menu', 'yuma-companion' ),
            'search'            => esc_html__( 'Search', 'yuma-companion' ),
            'button'            => esc_html__( 'Button', 'yuma-companion' ),
            'widget'            => esc_html__( 'Header Widget Area', 'yuma-companion' ),
            'secondary_menu_pro_option' => esc_html__( 'Secondary Menu 🅟🅡🅞', 'yuma-companion' ),
            'custom_text_pro_option'    => esc_html__( 'Custom Text 🅟🅡🅞', 'yuma-companion' ),
            'user_icon_pro_option'      => esc_html__( 'User Account Icon 🅟🅡🅞', 'yuma-companion' ),
            'wishlist_icon_pro_option'  => esc_html__( 'Wishlist Icon 🅟🅡🅞', 'yuma-companion' ),
            'compare_icon_pro_option'   => esc_html__( 'Compare Icon 🅟🅡🅞', 'yuma-companion' ),
            'login_icon_pro_option'     => esc_html__( 'Login Icon 🅟🅡🅞', 'yuma-companion' ),
        );
        return $yuma_header_elements;
    }
endif;
add_filter( 'yuma_header_elements_options', 'yuma_companion_header_elements_options' );

if ( ! function_exists( 'yuma_companion_navbar_elements_options' ) ) :
    /**
     * List of navbar elements options
     * @return array 
     */
    function yuma_companion_navbar_elements_options() {
        $yuma_navbar_elements = array(
            'primary_menu'      => esc_html__( 'Primary Menu', 'yuma-companion' ),
            'social_menu'       => esc_html__( 'Social Menu', 'yuma-companion' ),
            'search'            => esc_html__( 'Search', 'yuma-companion' ),
            'off_canvas_bar'    => esc_html__( 'Off Canvas Bar', 'yuma-companion' ),
            'button_pro_option'         => esc_html__( 'Button 🅟🅡🅞', 'yuma-companion' ),
            'custom_text_pro_option'    => esc_html__( 'Custom Text 🅟🅡🅞', 'yuma-companion' ),
            'user_icon_pro_option'      => esc_html__( 'User Account Icon 🅟🅡🅞', 'yuma-companion' ),
            'wishlist_icon_pro_option'  => esc_html__( 'Wishlist Icon 🅟🅡🅞', 'yuma-companion' ),
            'compare_icon_pro_option'   => esc_html__( 'Compare Icon 🅟🅡🅞', 'yuma-companion' ),
            'login_icon_pro_option'     => esc_html__( 'Login Icon 🅟🅡🅞', 'yuma-companion' ),
        );
        return $yuma_navbar_elements;
    }
endif;
add_filter( 'yuma_navbar_elements_options', 'yuma_companion_navbar_elements_options' );

if ( ! function_exists( 'yuma_companion_footer_elements_options' ) ) :
    /**
     * List of footer elements options
     * @return array 
     */
    function yuma_companion_footer_elements_options() {
        $yuma_footer_elements = array(
            'footer_menu'       => esc_html__( 'Footer Menu', 'yuma-companion' ),
            'social_menu'       => esc_html__( 'Social Menu', 'yuma-companion' ),
            'custom_text'       => esc_html__( 'Custom Text', 'yuma-companion' ),
            'custom_text_two_pro_option'   => esc_html__( 'Custom Text Two 🅟🅡🅞', 'yuma-companion' ),
        );
        return $yuma_footer_elements;
    }
endif;
add_filter( 'yuma_footer_elements_options', 'yuma_companion_footer_elements_options' );

/*
 * Homepage sections
 */

// slider section
if ( ! function_exists( 'yuma_companion_slider_layout_options' ) ) :
    /**
     * List of slider options
     * @return array 
     */
    function yuma_companion_slider_layout_options() {
        $options = array(
            'left-align'                        => esc_html__( 'Left Align', 'yuma-companion' ),
            'right-align'                       => esc_html__( 'Right Align', 'yuma-companion' ),
            'center-align'                      => esc_html__( 'Center Align', 'yuma-companion' ),
            'center-background-pro-option'                 => esc_html__( 'Center Dark Background 🅟🅡🅞', 'yuma-companion' ),
            'center-background-outline-pro-option'         => esc_html__( 'Center Dark Background Outline 🅟🅡🅞', 'yuma-companion' ),
            'center-background-light-pro-option'           => esc_html__( 'Center Light Background 🅟🅡🅞', 'yuma-companion' ),
            'center-background-outline-light-pro-option'   => esc_html__( 'Center Light Background Outline 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_slider_layout_options', 'yuma_companion_slider_layout_options' );

if ( ! function_exists( 'yuma_companion_slider_content_type_options' ) ) :
    /**
     * List of slider options
     * @return array 
     */
    function yuma_companion_slider_content_type_options() {
        $options = array(
            'page'      => esc_html__( 'Page', 'yuma-companion' ),
            'post'      => esc_html__( 'Post', 'yuma-companion' ),
            'custom-pro-option'    => esc_html__( 'Custom 🅟🅡🅞', 'yuma-companion' ),
            'category-pro-option'  => esc_html__( 'Category 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_slider_content_type_options', 'yuma_companion_slider_content_type_options' );

// introduction
if ( ! function_exists( 'yuma_companion_introduction_excerpt_options' ) ) :
    /**
     * List of introduction options
     * @return array 
     */
    function yuma_companion_introduction_excerpt_options() {
        $options = array(
            'excerpt'       => esc_html__( 'Excerpt', 'yuma-companion' ),
            'full-content-pro-option'  => esc_html__( 'Full Content 🅟🅡🅞', 'yuma-companion' ),
            'none'          => esc_html__( 'None', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_introduction_excerpt_options', 'yuma_companion_introduction_excerpt_options' );

if ( ! function_exists( 'yuma_companion_introduction_content_type_options' ) ) :
    /**
     * List of introduction options
     * @return array 
     */
    function yuma_companion_introduction_content_type_options() {
        $options = array(
            'page'      => esc_html__( 'Page', 'yuma-companion' ),
            'post-pro-option'      => esc_html__( 'Post 🅟🅡🅞', 'yuma-companion' ),
            'custom-pro-option'    => esc_html__( 'Custom 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_introduction_content_type_options', 'yuma_companion_introduction_content_type_options' );

// featured categories
if ( ! function_exists( 'yuma_companion_featured_categories_alignment_options' ) ) :
    /**
     * List of featured categories alignment options
     * @return array 
     */
    function yuma_companion_featured_categories_alignment_options() {
        $options = array(
            'left-align'        => esc_html__( 'Left', 'yuma-companion' ),
            'center-pro-option' => esc_html__( 'Center 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_featured_categories_alignment_options', 'yuma_companion_featured_categories_alignment_options' );

if ( ! function_exists( 'yuma_companion_featured_categories_layout_options' ) ) :
    /**
     * List of featured categories layout options
     * @return array 
     */
    function yuma_companion_featured_categories_layout_options() {
        $options = array(
            'gap-pro-option'    => esc_html__( 'Gap 🅟🅡🅞', 'yuma-companion' ),
            'no-gap'            => esc_html__( 'No Gap', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_featured_categories_layout_options', 'yuma_companion_featured_categories_layout_options' );

if ( ! function_exists( 'yuma_companion_featured_categories_column_options' ) ) :
    /**
     * List of featured categories column options
     * @return array 
     */
    function yuma_companion_featured_categories_column_options() {
        $options = array(
            3      => esc_html__( 'Three Column', 'yuma-companion' ),
            4      => esc_html__( 'Four Column', 'yuma-companion' ),
            0      => esc_html__( 'Five Column 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_featured_categories_column_options', 'yuma_companion_featured_categories_column_options' );

// featured posts
if ( ! function_exists( 'yuma_companion_featured_column_options' ) ) :
    /**
     * List of featured options
     * @return array 
     */
    function yuma_companion_featured_column_options() {
        $options = array(
            2       => esc_html__( 'Two Column', 'yuma-companion' ),
            3       => esc_html__( 'Three Column', 'yuma-companion' ),
            0       => esc_html__( 'Four Column 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_featured_column_options', 'yuma_companion_featured_column_options' );

if ( ! function_exists( 'yuma_companion_featured_content_type_options' ) ) :
    /**
     * List of featured options
     * @return array 
     */
    function yuma_companion_featured_content_type_options() {
        $options = array(
            'post'      => esc_html__( 'Post', 'yuma-companion' ),
            'page-pro-option'      => esc_html__( 'Page 🅟🅡🅞', 'yuma-companion' ),
            'category-pro-option'    => esc_html__( 'Category 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_featured_content_type_options', 'yuma_companion_featured_content_type_options' );

// hero content
if ( ! function_exists( 'yuma_companion_hero_content_alignment_options' ) ) :
    /**
     * List of hero_content alignment options
     * @return array 
     */
    function yuma_companion_hero_content_alignment_options() {
        $options = array(
            'align-left'        => esc_html__( 'Left', 'yuma-companion' ),
            'align-center'      => esc_html__( 'Center', 'yuma-companion' ),
            'right-pro-option'    => esc_html__( 'Right 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_hero_content_alignment_options', 'yuma_companion_hero_content_alignment_options' );

if ( ! function_exists( 'yuma_companion_hero_content_content_type_options' ) ) :
    /**
     * List of hero_content options
     * @return array 
     */
    function yuma_companion_hero_content_content_type_options() {
        $options = array(
            'page'      => esc_html__( 'Page', 'yuma-companion' ),
            'post-pro-option'      => esc_html__( 'Post 🅟🅡🅞', 'yuma-companion' ),
            'custom-pro-option'    => esc_html__( 'Custom 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_hero_content_content_type_options', 'yuma_companion_hero_content_content_type_options' );

// popular
if ( ! function_exists( 'yuma_companion_popular_alignment_options' ) ) :
    /**
     * List of popular alignment options
     * @return array 
     */
    function yuma_companion_popular_alignment_options() {
        $options = array(
            'left-align'        => esc_html__( 'Left', 'yuma-companion' ),
            'center-pro-option' => esc_html__( 'Center 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_popular_alignment_options', 'yuma_companion_popular_alignment_options' );

if ( ! function_exists( 'yuma_companion_popular_layout_options' ) ) :
    /**
     * List of popular gap options
     * @return array 
     */
    function yuma_companion_popular_layout_options() {
        $options = array(
            'gap'               => esc_html__( 'Gap', 'yuma-companion' ),
            'no-gap-pro-option' => esc_html__( 'No Gap 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_popular_layout_options', 'yuma_companion_popular_layout_options' );

if ( ! function_exists( 'yuma_companion_popular_column_options' ) ) :
    /**
     * List of popular options
     * @return array 
     */
    function yuma_companion_popular_column_options() {
        $options = array(
            2       => esc_html__( 'Two Column', 'yuma-companion' ),
            3       => esc_html__( 'Three Column', 'yuma-companion' ),
            0       => esc_html__( 'Four Column 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_popular_column_options', 'yuma_companion_popular_column_options' );

if ( ! function_exists( 'yuma_companion_popular_content_type_options' ) ) :
    /**
     * List of popular options
     * @return array 
     */
    function yuma_companion_popular_content_type_options() {
        $options = array(
            'post'      => esc_html__( 'Post', 'yuma-companion' ),
            'page-pro-option'      => esc_html__( 'Page 🅟🅡🅞', 'yuma-companion' ),
            'category-pro-option'    => esc_html__( 'Category 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_popular_content_type_options', 'yuma_companion_popular_content_type_options' );

// call to action
if ( ! function_exists( 'yuma_companion_cta_content_type_options' ) ) :
    /**
     * List of cta options
     * @return array 
     */
    function yuma_companion_cta_content_type_options() {
        $options = array(
            'page'      => esc_html__( 'Page', 'yuma-companion' ),
            'post-pro-option'      => esc_html__( 'Post 🅟🅡🅞', 'yuma-companion' ),
            'custom-pro-option'    => esc_html__( 'Custom 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_cta_content_type_options', 'yuma_companion_cta_content_type_options' );

// latest blog
if ( ! function_exists( 'yuma_companion_blog_layout_options' ) ) :
    /**
     * List of latest blog options
     * @return array 
     */
    function yuma_companion_blog_layout_options() {
        $options = array(
            'left-align'        => esc_html__( 'Left Align', 'yuma-companion' ),
            'center-align'      => esc_html__( 'Center Align', 'yuma-companion' ),
            'image-focus'       => esc_html__( 'Image Focus', 'yuma-companion' ),
            'image-focus-dark'      => esc_html__( 'Image Focus Dark', 'yuma-companion' ),
            'image-focus-outline-pro-option' => esc_html__( 'Image Focus Content Outline 🅟🅡🅞', 'yuma-companion' ),
            'image-focus-outline-dark-pro-option' => esc_html__( 'Image Focus Content Outline Dark 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_blog_layout_options', 'yuma_companion_blog_layout_options' );

if ( ! function_exists( 'yuma_companion_blog_column_type_options' ) ) :
    /**
     * List of latest blog options
     * @return array 
     */
    function yuma_companion_blog_column_type_options() {
        $options = array(
            'column-1'      => esc_html__( 'One Column', 'yuma-companion' ),
            'column-2'      => esc_html__( 'Two Column', 'yuma-companion' ),
            'column-3'      => esc_html__( 'Three Column', 'yuma-companion' ),
            'column-zigzag-pro-option' => esc_html__( 'One Column ZigZag 🅟🅡🅞', 'yuma-companion' ),
            'column-horizontal-pro-option' => esc_html__( 'One Column Horizontal 🅟🅡🅞', 'yuma-companion' ),
            'column-4-pro-option'      => esc_html__( 'Four Column 🅟🅡🅞', 'yuma-companion' ),
            'column-5-pro-option'      => esc_html__( 'Five Column 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_blog_column_type_options', 'yuma_companion_blog_column_type_options' );

if ( ! function_exists( 'yuma_companion_blog_pagination_type_options' ) ) :
    /**
     * List of latest blog options
     * @return array 
     */
    function yuma_companion_blog_pagination_type_options() {
        $options = array(
            'default'       => esc_html__( 'Default', 'yuma-companion' ),
            'numeric'       => esc_html__( 'Numeric', 'yuma-companion' ),
            'infinite'      => esc_html__( 'Infinite 🅟🅡🅞', 'yuma-companion' ),
            'click'         => esc_html__( 'Load More Button 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_blog_pagination_type_options', 'yuma_companion_blog_pagination_type_options' );
add_filter( 'yuma_pagination_type_options', 'yuma_companion_blog_pagination_type_options' );

if ( ! function_exists( 'yuma_companion_archive_layout_options' ) ) :
    /**
     * List of blog options
     * @return array 
     */
    function yuma_companion_archive_layout_options() {
        $options = array(
            'left-align'        => esc_html__( 'Left Align', 'yuma-companion' ),
            'center-align'      => esc_html__( 'Center Align', 'yuma-companion' ),
            'image-focus-pro-option'       => esc_html__( 'Image Focus 🅟🅡🅞', 'yuma-companion' ),
            'image-focus-dark-pro-option'      => esc_html__( 'Image Focus Dark 🅟🅡🅞', 'yuma-companion' ),
            'image-focus-outline-pro-option' => esc_html__( 'Image Focus Content Outline 🅟🅡🅞', 'yuma-companion' ),
            'image-focus-outline-dark-pro-option' => esc_html__( 'Image Focus Content Outline Dark 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_archive_layout_options', 'yuma_companion_archive_layout_options' );

if ( ! function_exists( 'yuma_companion_column_type_options' ) ) :
    /**
     * List of blog options
     * @return array 
     */
    function yuma_companion_column_type_options() {
        $options = array(
            'column-1'      => esc_html__( 'One Column', 'yuma-companion' ),
            'column-2'      => esc_html__( 'Two Column', 'yuma-companion' ),
            'column-3-pro-option'      => esc_html__( 'Three Column 🅟🅡🅞', 'yuma-companion' ),
            'column-4-pro-option'      => esc_html__( 'Four Column 🅟🅡🅞', 'yuma-companion' ),
            'column-5-pro-option'      => esc_html__( 'Five Column 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_column_type_options', 'yuma_companion_column_type_options' );

if ( ! function_exists( 'yuma_companion_blog_filter_options' ) ) :
    /**
     * List of latest blog options
     * @return array 
     */
    function yuma_companion_blog_filter_options() {
        $options = array(
            'category'      => esc_html__( 'Category', 'yuma-companion' ),
            'tag-pro-option' => esc_html__( 'Tag 🅟🅡🅞', 'yuma-companion' ),
            'none'          => esc_html__( 'None', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_blog_filter_options', 'yuma_companion_blog_filter_options' );

// Mouse Cursor
if ( ! function_exists( 'yuma_companion_cursor_options' ) ) :
    /**
     * List of cursor options
     * @return array 
     */
    function yuma_companion_cursor_options() {
        $options = array(
            'default'     => esc_html__( 'Default', 'yuma-companion' ),
            'circle-pro-option'      => esc_html__( 'Circle 🅟🅡🅞', 'yuma-companion' ),
        );
        return $options;
    }
endif;
add_filter( 'yuma_cursor_options', 'yuma_companion_cursor_options' );
